Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

Marabu

A Minimalist Music Tracker. · By Rekka & Devine

Linux Run Error

A topic by Ebahn13 created 44 days ago Views: 41 Replies: 2
Viewing posts 1 to 3
(1 edit) (+2)

Hi, I am trying to run Marabu on Regolith OS (Ubuntu 20.04 with an i3gaps gui) but am stuck with this error and have been unable to find a fix:

(Marabu:94075): Pango-ERROR  **: 18:51:37.175: Harfbuzz version too old (1.4.2)

Do you have any knowledge about this? Installing libharfbuzz-dev, libpango-1.0-0, and libpangoft2-1.0-0 did not fix...

Hey man, I had the same problem. Turns out that from this github issue for electron (the framework used to create the app), it seems that the only option is to downgrade pango to a lower version. However, since you are on 20.04, they don't offer them from the package manager anymore so you have to use the trick mentioned in this comment, which is to essentially compile the older libraries from source. The only thing that 100r (software creators) can do is upgrade the electron version and rebuild. 

Same thing here!

(Marabu:8902): Pango-ERROR **: 00:44:19.442: Harfbuzz version too old (1.4.2)

Trace/breakpoint trap (core dumped)